Imports System.Collections.ObjectModel
Imports ThinkGeo.Core
Imports ThinkGeo.UI.WinForms
Public Class CustomEditOverlay
  Inherits EditInteractiveOverlay
  Private moMap As MapView
  Public Sub New(oMap As MapView)
    MyBase.New
    moMap = oMap


  End Sub
  Protected Overrides Function DrawAsyncCore(targetExtent As RectangleShape, overlayRefreshType As OverlayRefreshType, cancellationToken As Threading.CancellationToken) As Task
    Return MyBase.DrawAsyncCore(targetExtent, overlayRefreshType, cancellationToken)
  End Function
End Class
